%define origname TwistedWeb

Name:           python-module-twisted-web
Version:        10.1.0
Release:        alt1
%setup_python_module twisted-web
Summary:        Twisted web server, programmable in Python

Group:          Development/Python
License:        MIT
URL:            http://twistedmatrix.com/trac/wiki/TwistedWeb
Packager:	Sergey Alembekov <rt@altlinux.ru>
Source0:        http://tmrc.mit.edu/mirror/twisted/Web/10.1/%origname-%version.tar.bz2
Source1:	README.ALT-ru_RU.UTF-8

BuildRequires:  python-module-twisted-core
BuildRequires:  python-devel

%add_python_req_skip Tkinter

%description
Twisted is an event-based framework for internet applications.

Twisted Web is a complete web server, aimed at hosting web
applications using Twisted and Python, but fully able to serve static
pages, also.

%package tests
Summary: Tests for TwistedWeb
Group: Development/Python
Requires: %name = %version-%release

%description tests
Twisted is an event-based framework for internet applications.

Twisted Web is a complete web server, aimed at hosting web
applications using Twisted and Python, but fully able to serve static
pages, also.

This package contains tests for Twisted Web.

%prep
%setup -n  %origname-%version

subst 's@^#! */usr/bin/python@@' twisted/web/test/test_cgi.py
subst 's@^#! */usr/bin/python@@'  twisted/web/test/test_distrib.py

%build
%python_build

cp %SOURCE1 README.ALT-ru_RU.UTF-8

%install
%python_install --install-purelib %python_sitelibdir

%clean

%files
%doc README LICENSE NEWS doc/*
%doc README.ALT-ru_RU.UTF-8
%python_sitelibdir/twisted/web
%python_sitelibdir/twisted/plugins/twisted_web.py*
%python_sitelibdir/Twisted_Web-*.egg-info


# There are no SOAPpy in ALT Linux Sisyphus - remove it support
%exclude %python_sitelibdir/twisted/web/soap.py
%exclude %python_sitelibdir/twisted/web/test

%files tests
%python_sitelibdir/twisted/web/test
%exclude %python_sitelibdir/twisted/web/test/test_soap.py


%changelog
* Tue Aug 03 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 10.1.0-alt1
- Version 10.1.0
- Extracted tests into separate package

* Wed Nov 11 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 8.2.0-alt1.1
- Rebuilt with python 2.6

* Wed Sep 02 2009 Sergey Alembekov <rt@altlinux.ru> 8.2.0-alt1
- version 8.2.0 

* Sat Nov 17 2007 Sergey Alembekov <rt@altlinux.ru> 0.7.0-alt2.1
- Fix build on x86_64 (Thanks to Nikolay A. Fetisov aka naf@)
- Spec file cleanup 

* Wed Nov 07 2007 Sergey Alembekov <rt@altlinux.ru> 0.7.0-alt2
- skip requires for Tkinter module
- add README.ALT

* Fri Mar 30 2007 Sergey Alembekov <rt@altlinux.ru> 0.7.0-alt1
- Build for new upstream version
